opal/util/basename.h File Reference.TH "opal/util/basename.h" 3 "7 Dec 2005" "Version 0.1.1" "OpenMPI" \" -*- nroff -*-
.ad l
.nh
.SH NAME
opal/util/basename.h \- Returns an OS-independant basename() of a given filename. 
.SH SYNOPSIS
.br
.PP
.SS "Functions"

.in +1c
.ti -1c
.RI "char * \fBopal_basename\fP (const char *filename)"
.br
.RI "\fIReturn the basename of a filename. \fP"
.in -1c
.SH "Detailed Description"
.PP 
Returns an OS-independant basename() of a given filename. 


.SH "Function Documentation"
.PP 
.SS "char* opal_basename (const char * filename)"
.PP
Return the basename of a filename. 
.PP
\fBParameters:\fP
.RS 4
\fIfilename\fP The filename to examine
.RE
.PP
\fBReturns:\fP
.RS 4
A string containing the basename, or NULL if there is an error
.RE
.PP
The contents of the \fIfilename\fP parameter are unchanged. This function returns a new string containing the basename of the filename (which must be eventually freed by the caller), or NULL if there is an error. Trailing '/' characters in the filename do not count, unless it is in the only part of the filename (e.g., '/' or 'C:\\').
.PP
This function will do the Right Things on POSIX and Windows-based operating systems. For example:
.PP
foo.txt returns 'foo.txt'
.PP
/foo/bar/baz returns 'baz'
.PP
/yow.c returns 'yow.c'
.PP
/ returns '/'
.PP
C: returns 'baz'
.PP
D:foo.txt returns 'foo.txt'
.PP
E:.c returns 'yow.c'
.PP
F: returns 'F:'
.PP
G:\\ returns 'G:' 
.SH "Author"
.PP 
Generated automatically by Doxygen for OpenMPI from the source code.
